using UnityEngine;

namespace Wizard.Dialog.Setting;

public class ItemLabel : Item
{
	[SerializeField]
	private SettingBase _parant;

	[SerializeField]
	private UILabel _label;

	[SerializeField]
	private GameObject _separatorLineObj;

	private void Awake()
	{
		_label.text = string.Empty;
		_separatorLineObj.SetActive(value: false);
	}

	public void SetValue(string text)
	{
		_label.text = text;
	}

	public string GetValue()
	{
		return _label.text;
	}

	public override void AddChangeCallback(EventDelegate.Callback callback)
	{
	}

	public override void SetActive_SeparatorLine(bool isActive)
	{
		_separatorLineObj.SetActive(isActive);
	}
}
